Skip to main content

ListProposals

GET

List all proposals.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Query Parameters
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
proposalsarray
Proposal list. For parameters of each proposal, please refer to GetProposalById.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X GET 'https://tron-mainnet.nodit.io/wallet/listproposals' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'